PYSIDE6-BALSAM(1)

NAME
pyside6-balsam - balsam

SYNOPSIS
balsam [options] sourceFilename

DESCRIPTION
Converts graphical assets to a runtime format for use with Qt Quick 3D

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

--outputPath, -o <outputPath>
    Sets the location to place the generated file(s). Default is the current directory

--no-plugins
    Disable assetimporter plugin loading, only considers built-ins

-f, --options-file <file>
    Load options from <file>

--calculateTangentSpace
    Calculates the tangents and bitangents for the imported meshes.

--disable-recalculateLodNormals

--designStudioWorkarounds
    Enable options that are needed to create Design Studio compatible components.

--disable-designStudioWorkarounds

--splitLargeMeshes
    Splits large meshes into smaller sub-meshes.

--removeComponentNormals
    Removes Normal component from meshes.

--disable-generateMipMaps

--disable-preTransformVertices

--generateMipMaps
    Force all imported texture components to generate mip maps for mip map texture filtering

--generateMeshLevelsOfDetail
    When possible, create mesh Levels of Detail by automatically simplifying the source mesh

--fixInfacingNormals
    Tries to determine which meshes have normal vectors that are facing inwards and inverts them.

--disable-removeComponentNormals

--joinIdenticalVertices
    Identifies and joins identical vertex data sets within all imported meshes.

--disable-manualAnimations

--disable-splitLargeMeshes

--fbxPreservePivots
    Set whether the fbx importer will preserve pivot points (as extra nodes)

--optimizeGraph
    A postprocessing step to optimize the scene hierarchy.

--disable-optimizeMeshes

--disable-removeComponentAnimations

--disable-globalScale

--generateNormals
    Generates normals for all faces of all meshes

--disable-improveCacheLocality

--disable-optimizeGraph

--useBinaryKeyframes
    Record keyframe data as binary files

--disable-useFloatJointIndices

--disable-generateNormals

--optimizeMeshes
    A postprocessing step to reduce the number of meshes.

--dropNormals
    Drops normals for all faces of all meshes.

--improveCacheLocality
    Reorders triangles for better vertex cache locality.

--preTransformVertices
    Removes the node graph and pre-transforms all vertices with the local transformation matrices of their nodes.

--useFloatJointIndices
    Stores joint indices as floating point numbers for GLES 2.0.

--removeComponentAnimations
    Removes any animation components from meshes.

--removeComponentTangentsAndBitangents
    Removes Tangents and Bitangents components from meshes.

--manualAnimations
    No TimelineAnimations are generated for Timelines so that they can be manually controlled

--disable-removeComponentUVs

--disable-transformUVCoordinates

--removeComponentTextures
    Removes any embedded texture components from meshes.

--removeRedundantMaterials
    Searches for redundant/unreferenced materials and removes them.

--removeComponentUVs
    Removes any UV components from meshes.

--disable-calculateTangentSpace

--findDegenerates
    This step searches all meshes for degenerate primitives and converts them to proper lines or points.

--disable-fixInfacingNormals

--disable-generateSmoothNormals

--disable-findDegenerates

--removeComponentBoneWeights
    Removes any bone weights from meshes.

--removeComponentColors
    Removes any Color components from meshes.

--globalScale
    This step will perform a global scale of the model.

--disable-dropNormals

--disable-fbxPreservePivots

--recalculateLodNormalsMergeAngle <recalculateLodN Maximum angle in degrees

ormalsMergeAngle>
    to consider for normal smoothing/merging

--disable-generateMeshLevelsOfDetail

--expandValueComponents
    When enabled value types like vector3d and quaternion will be expanded.

--disable-joinIdenticalVertices

--disable-removeComponentTextures

--disable-removeComponentColors

--findInvalidData
    This step searches all meshes for invalid data, such as zeroed normal vectors or invalid UV coords and removes/fixes them. This is intended to get rid of some common exporter errors.

--disable-removeComponentBoneWeights

--transformUVCoordinates
    This step applies per-texture UV transformations and bakes them into stand-alone vtexture coordinate channels.

--recalculateLodNormals
    Calculate new normals when necessary for Generated Mesh Levels of detail

--disable-removeComponentTangentsAndBitangents

--generateSmoothNormals
    Generates smooth normals for all vertices in the mesh.

--disable-findInvalidData

--disable-removeRedundantMaterials

--findInstances
    This step searches for duplicate meshes and replaces them with references to the first mesh.

--globalScaleValue <globalScaleValue>
    Global Scale factor.

--disable-expandValueComponents

--disable-findInstances

--disable-useBinaryKeyframes

--recalculateLodNormalsSplitAngle <recalculateLodN Maximum angle in degrees

ormalsSplitAngle>
    to consider for normal spliting, which creates new vertex data

  Arguments:

sourceFilename
    Asset file to be imported